<!-- Formulario que lista los usuarios -->
<mat-card>
  <mat-card-title>
    <p class="main-title">
      <mat-icon>people</mat-icon>
      <span class="small-space"></span>
      Listado Usuarios
    </p>
  </mat-card-title>
  <mat-card-content>

    <mat-form-field class="filter-width">
      <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filtrar">
    </mat-form-field>

    <button class="button-title" mat-raised-button color="primary" (click)="openModalUser()">
        <mat-icon>add</mat-icon> Agregar Usuario
    </button>

    <div class="mat-elevation-z8">
      <table mat-table [dataSource]="dataSource" matSort>
        <ng-container matColumnDef="username">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> NOMBRE </th>
          <td mat-cell *matCellDef="let row"> {{row.username}} </td>
        </ng-container>
        <ng-container matColumnDef="created">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> CREACIÓN </th>
          <td mat-cell *matCellDef="let row"> {{row.created | date:'dd-MM-yyyy h:mm:ss'}} </td>
        </ng-container>
        <ng-container matColumnDef="acciones">
          <th mat-header-cell *matHeaderCellDef mat-sort-header class="title-bolder"> ACCIONES </th>
          <td mat-cell *matCellDef="let row">
            <button mat-icon-button [matMenuTriggerFor]="menu">
              <mat-icon color="primary">settings</mat-icon>
            </button>
            <mat-menu #menu="matMenu">
                <button mat-menu-item (click)="openModalEditUser(row.id, row.username)">
                    <mat-icon>edit</mat-icon>
                    <span>Editar</span>
                  </button>
              <button mat-menu-item (click)="openModalDeleteUser(row.id)">
                <mat-icon>delete_forever</mat-icon>
                <span>Eliminar</span>
              </button>
            </mat-menu>
          </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>
      <mat-paginator [pageSizeOptions]="[10, 25, 50, 100]"></mat-paginator>
    </div>
  </mat-card-content>
</mat-card>
<br>
